# PSW-UI

Shared UI Component Repository.

My goal is to create **fully typesafe**, **highly customizable** component with **minimum complexity**.

Meet our [web documentation](https://ui.psw.kr)!


## Milestones

- Component Implementation
  - [ ] DateTimeInput
  - [x] Input
  - [ ] FileInput
  - [ ] ImageInput
  - [ ] Form
    - [ ] FormItem
    - [ ] FormLabel
    - [ ] FormControl
    - [ ] FormDescription
    - [ ] FormMessage
  - [ ] Textarea
  - [ ] Accordion
  - [ ] Alert
  - [ ] Avatar
  - [ ] Badge
  - [ ] Breadcrumb
  - [x] Button
  - [ ] Card
  - [x] Checkbox
  - [ ] Context Menu
  - [ ] Data Table
  - [x] Dialog
  - [x] Drawer
  - [ ] Dropdown Menu
  - [x] Label
  - [ ] Menubar
  - [ ] Navigation Menu
  - [ ] Pagination
  - [x] Popover
  - [ ] Progress
  - [ ] Radio Group
  - [ ] Scroll Area
  - [ ] Select
  - [ ] Separator
  - [ ] Skeleton
  - [ ] Slider
  - [x] Switch
  - [ ] Table
  - [x] Tabs
  - [x] Toast
  - [ ] Toggle
  - [ ] Toggle Group
  - [x] Tooltip
- Library/Framework Support
  - [ ] React
  - [ ] Svelte
- CLI
  - [x] Add
  - [x] List

## Building local development environment

```bash
# Corepack - Yarn 4.2.2
corepack enable
corepack install yarn@4.2.2
corepack use yarn@4.2.2

# Install Packages
yarn install

# Run Storybook
yarn workspace react storybook
```
